var YUI_MODULES = (function(){
  var SKIN_SAM_PREFIX = 'skin-sam-',
  FILESAVER = "FileSaver",
  ACCOUNT = "account",
  ACL = "acl",
  ADDED_SERVICES_LIST = "added-services-list",
  ADDED_SERVICES_LIST_ITEM = "added-services-list-item",
  AFTER = "after",
  AMBIGUOUS_RELATION_MENU = "ambiguous-relation-menu",
  APP_BASE = "app-base",
  APP_COOKIES_EXTENSION = "app-cookies-extension",
  APP_RENDERER_EXTENSION = "app-renderer-extension",
  APP_TRANSITIONS = "app-transitions",
  ARRAY_EXTRAS = "array-extras",
  AUTODEPLOY_EXTENSION = "autodeploy-extension",
  BASE = "base",
  BASE_BUILD = "base-build",
  BOOLEAN_CONFIG = "boolean-config",
  BUDGET_CHART = "budget-chart",
  BUDGET_TABLE = "budget-table",
  BUDGET_TABLE_ROW = "budget-table-row",
  BUNDLE_IMPORT_NOTIFICATIONS = "bundle-import-notifications",
  BUNDLE_IMPORTER = "bundle-importer",
  BUTTON_ROW = "button-row",
  CHANGES_UTILS = "changes-utils",
  CHARMBROWSER_COMPONENT = "charmbrowser-component",
  CHECK_LIST_ITEM = "check-list-item",
  CONFIRMATION_POPUP = "confirmation-popup",
  CONSTRAINTS = "constraints",
  COOKIE = "cookie",
  COPY_TO_CLIPBOARD = "copy-to-clipboard",
  CREATE_MODEL_BUTTON = "create-model-button",
  CSS = "css",
  D3 = "d3",
  D3_COMPONENTS = "d3-components",
  DATASOURCE_IO = "datasource-io",
  DATASOURCE_JSONSCHEMA = "datasource-jsonschema",
  DATATYPE_DATE_FORMAT = "datatype-date-format",
  DATE_DISPLAY = "date-display",
  DEPLOYMENT_BAR = "deployment-bar",
  DEPLOYMENT_BAR_NOTIFICATION = "deployment-bar-notification",
  DEPLOYMENT_BUDGET = "deployment-budget",
  DEPLOYMENT_CHANGE_ITEM = "deployment-change-item",
  DEPLOYMENT_CHANGES = "deployment-changes",
  DEPLOYMENT_CLOUD = "deployment-cloud",
  DEPLOYMENT_CREDENTIAL = "deployment-credential",
  DEPLOYMENT_CREDENTIAL_ADD = "deployment-credential-add",
  DEPLOYMENT_FLOW = "deployment-flow",
  DEPLOYMENT_MACHINES = "deployment-machines",
  DEPLOYMENT_PANEL = "deployment-panel",
  DEPLOYMENT_SECTION = "deployment-section",
  DEPLOYMENT_SERVICES = "deployment-services",
  DEPLOYMENT_SIGNUP = "deployment-signup",
  EMPTY_USER_PROFILE = "empty-user-profile",
  ENTITY_CONTENT = "entity-content",
  ENTITY_CONTENT_CONFIG_OPTION = "entity-content-config-option",
  ENTITY_CONTENT_DIAGRAM = "entity-content-diagram",
  ENTITY_CONTENT_README = "entity-content-readme",
  ENTITY_CONTENT_RELATIONS = "entity-content-relations",
  ENTITY_CONTENT_REVISIONS = "entity-content-revisions",
  ENTITY_DETAILS = "entity-details",
  ENTITY_EXTENSION = "entity-extension",
  ENTITY_FILES = "entity-files",
  ENTITY_HEADER = "entity-header",
  ENTITY_RESOURCES = "entity-resources",
  ENV_LIST = "env-list",
  ENV_SIZE_DISPLAY = "env-size-display",
  ENV_SWITCHER = "env-switcher",
  ENVIRONMENT = "environment",
  ENVIRONMENT_CHANGE_SET = "environment-change-set",
  ESCAPE = "escape",
  EVENT = "event",
  EVENT_KEY = "event-key",
  EVENT_RESIZE = "event-resize",
  EVENT_TOUCH = "event-touch",
  EVENT_TRACKER = "event-tracker",
  EXPANDING_PROGRESS = "expanding-progress",
  EXPANDING_ROW = "expanding-row",
  EXT = "ext",
  FILE_FIELD = "file-field",
  GENERIC_BUTTON = "generic-button",
  GENERIC_INPUT = "generic-input",
  GHOST_DEPLOYER_EXTENSION = "ghost-deployer-extension",
  HEADER_BREADCRUMB = "header-breadcrumb",
  HEADER_SEARCH = "header-search",
  IMPORT_EXPORT = "import-export",
  INSET_SELECT = "inset-select",
  INSPECTOR_CHANGE_VERSION = "inspector-change-version",
  INSPECTOR_CHANGE_VERSION_ITEM = "inspector-change-version-item",
  INSPECTOR_COMPONENT = "inspector-component",
  INSPECTOR_CONFIG = "inspector-config",
  INSPECTOR_CONFIRM = "inspector-confirm",
  INSPECTOR_EXPOSE = "inspector-expose",
  INSPECTOR_EXPOSE_UNIT = "inspector-expose-unit",
  INSPECTOR_HEADER = "inspector-header",
  INSPECTOR_PLAN = "inspector-plan",
  INSPECTOR_RELATE_TO = "inspector-relate-to",
  INSPECTOR_RELATE_TO_ENDPOINT = "inspector-relate-to-endpoint",
  INSPECTOR_RELATION_DETAILS = "inspector-relation-details",
  INSPECTOR_RELATIONS = "inspector-relations",
  INSPECTOR_RESOURCES_LIST = "inspector-resources-list",
  IO = "io",
  IO_BASE = "io-base",
  ISV_PROFILE = "isv-profile",
  JS = "js",
  JS_YAML = "js-yaml",
  JSON_PARSE = "json-parse",
  JSON_STRINGIFY = "json-stringify",
  JUJU_APP_STATE = "juju-app-state",
  JUJU_BUNDLE_MODELS = "juju-bundle-models",
  JUJU_CHARM_MODELS = "juju-charm-models",
  JUJU_CONTROLLER_API = "juju-controller-api",
  JUJU_DELTA_HANDLERS = "juju-delta-handlers",
  JUJU_ENDPOINTS = "juju-endpoints",
  JUJU_ENDPOINTS_CONTROLLER = "juju-endpoints-controller",
  JUJU_ENV_API = "juju-env-api",
  JUJU_ENV_BAKERY = "juju-env-bakery",
  JUJU_ENV_BASE = "juju-env-base",
  JUJU_ENV_FAKEBACKEND = "juju-env-fakebackend",
  JUJU_ENV_LEGACY_API = "juju-env-legacy-api",
  JUJU_ENV_SANDBOX = "juju-env-sandbox",
  JUJU_ENV_WEB_HANDLER = "juju-env-web-handler",
  JUJU_ENV_WEB_SANDBOX = "juju-env-web-sandbox",
  JUJU_GUI = "juju-gui",
  JUJU_LANDSCAPE = "juju-landscape",
  JUJU_LEGACY_DELTA_HANDLERS = "juju-legacy-delta-handlers",
  JUJU_MODELS = "juju-models",
  JUJU_TOPOLOGY = "juju-topology",
  JUJU_TOPOLOGY_PANZOOM = "juju-topology-panzoom",
  JUJU_TOPOLOGY_RELATION = "juju-topology-relation",
  JUJU_TOPOLOGY_SERVICE = "juju-topology-service",
  JUJU_TOPOLOGY_UTILS = "juju-topology-utils",
  JUJU_TOPOLOGY_VIEWPORT = "juju-topology-viewport",
  JUJU_VIEW_ENVIRONMENT = "juju-view-environment",
  JUJU_VIEW_UTILS = "juju-view-utils",
  JUJULIB_UTILS = "jujulib-utils",
  LAZY_MODEL_LIST = "lazy-model-list",
  LOADING_SPINNER = "loading-spinner",
  LOCAL_CHARM_IMPORT_HELPERS = "local-charm-import-helpers",
  LOCAL_INSPECTOR = "local-inspector",
  LOGIN_COMPONENT = "login-component",
  LOGOUT_COMPONENT = "logout-component",
  MACAROON = "macaroon",
  MACHINE_VIEW = "machine-view",
  MACHINE_VIEW_ADD_MACHINE = "machine-view-add-machine",
  MACHINE_VIEW_COLUMN = "machine-view-column",
  MACHINE_VIEW_HEADER = "machine-view-header",
  MACHINE_VIEW_MACHINE = "machine-view-machine",
  MACHINE_VIEW_MACHINE_UNIT = "machine-view-machine-unit",
  MACHINE_VIEW_SCALE_UP = "machine-view-scale-up",
  MACHINE_VIEW_UNPLACED_UNIT = "machine-view-unplaced-unit",
  MODEL = "model",
  MODEL_CONTROLLER = "model-controller",
  MODEL_LIST = "model-list",
  MORE_MENU = "more-menu",
  NET_UTILS = "net-utils",
  NODE = "node",
  NOTIFICATION_LIST = "notification-list",
  NOTIFICATION_LIST_ITEM = "notification-list-item",
  NS_ROUTING_APP_EXTENSION = "ns-routing-app-extension",
  OOP = "oop",
  OPTIONAL = "optional",
  OVERVIEW_ACTION = "overview-action",
  PANEL = "panel",
  PANEL_COMPONENT = "panel-component",
  PATH = "path",
  PLANS_USAGE = "plans-usage",
  PRETTIFY = "prettify",
  PROMISE = "promise",
  QUERYSTRING = "querystring",
  QUERYSTRING_PARSE = "querystring-parse",
  RELATION_MENU = "relation-menu",
  RELATION_UTILS = "relation-utils",
  REQUIRES = "requires",
  ROUTER = "router",
  SCALE_SERVICE = "scale-service",
  SEARCH_RESULTS = "search-results",
  SEARCH_RESULTS_ITEM = "search-results-item",
  SEARCH_RESULTS_SELECT_FILTER = "search-results-select-filter",
  SEARCH_RESULTS_TYPE_FILTER = "search-results-type-filter",
  SECTION_LOAD_WATCHER = "section-load-watcher",
  SERVICE_OVERVIEW = "service-overview",
  SHORTCUTS = "shortcuts",
  SKINNABLE = "skinnable",
  STORE = "store",
  STRING_CONFIG = "string-config",
  SUPERSEDES = "supersedes",
  SVG_ICON = "svg-icon",
  TIMERS = "timers",
  TYPE = "type",
  UNIT_DETAILS = "unit-details",
  UNIT_LIST = "unit-list",
  USE = "use",
  USER_PROFILE = "user-profile",
  USER_PROFILE_AGREEMENT_LIST = "user-profile-agreement-list",
  USER_PROFILE_BUDGET_LIST = "user-profile-budget-list",
  USER_PROFILE_ENTITY = "user-profile-entity",
  USER_PROFILE_ENTITY_LIST = "user-profile-entity-list",
  USER_PROFILE_HEADER = "user-profile-header",
  USER_PROFILE_MODEL_LIST = "user-profile-model-list",
  VIEW = "view",
  YUI_PATCHES = "yui-patches",
  ZIP = "zip",
  ZIP_UTILS = "zip-utils",
  ZOOM = "zoom",
  modules = {},
  TRUE = true,
  FALSE = false,
  CORE_CSS = ["cssreset", "cssfonts", "cssgrids", "cssreset-context", "cssfonts-context", "cssgrids-context"],
  module_info,
  after_list;

  modules[FILESAVER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "assets/javascripts/FileSaver-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ACCOUNT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/account/account-min.js";
  module_info[REQUIRES] = [EXPANDING_ROW, LOADING_SPINNER, PANEL_COMPONENT, SVG_ICON, USER_PROFILE_ENTITY, USER_PROFILE_HEADER];
  module_info[TYPE] = JS;

  modules[ACL] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/acl-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ADDED_SERVICES_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/added-services-list/added-services-list-min.js";
  module_info[REQUIRES] = [ADDED_SERVICES_LIST_ITEM];
  module_info[TYPE] = JS;

  modules[ADDED_SERVICES_LIST_ITEM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/added-services-list/item/item-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[AMBIGUOUS_RELATION_MENU] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/relation-menu/ambiguous-relation-menu-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[APP_COOKIES_EXTENSION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "extensions/app-cookies-extension-min.js";
  module_info[REQUIRES] = [BASE, COOKIE];
  module_info[TYPE] = JS;

  modules[APP_RENDERER_EXTENSION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "extensions/app-renderer-extension-min.js";
  module_info[REQUIRES] = [BASE, JUJU_VIEW_UTILS];
  module_info[TYPE] = JS;

  modules[AUTODEPLOY_EXTENSION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "extensions/autodeploy-extension-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[BOOLEAN_CONFIG] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/boolean-config/boolean-config-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[BUDGET_CHART] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/budget-chart/budget-chart-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[BUDGET_TABLE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/budget-table/budget-table-min.js";
  module_info[REQUIRES] = [BUDGET_TABLE_ROW];
  module_info[TYPE] = JS;

  modules[BUDGET_TABLE_ROW] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/budget-table/row/row-min.js";
  module_info[REQUIRES] = [EXPANDING_ROW, GENERIC_BUTTON];
  module_info[TYPE] = JS;

  modules[BUNDLE_IMPORT_NOTIFICATIONS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/bundle-import-notifications-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[BUNDLE_IMPORTER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/bundle-importer-min.js";
  module_info[REQUIRES] = [JUJU_ENV_API, ENVIRONMENT_CHANGE_SET];
  module_info[TYPE] = JS;

  modules[BUTTON_ROW] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/button-row/button-row-min.js";
  module_info[REQUIRES] = [GENERIC_BUTTON];
  module_info[TYPE] = JS;

  modules[CHANGES_UTILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/changes-utils-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[CHARMBROWSER_COMPONENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/charmbrowser/charmbrowser-min.js";
  module_info[REQUIRES] = [ENTITY_DETAILS, SEARCH_RESULTS, STORE];
  module_info[TYPE] = JS;

  modules[CHECK_LIST_ITEM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/check-list-item/check-list-item-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[CONFIRMATION_POPUP] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/confirmation-popup/confirmation-popup-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, PANEL_COMPONENT];
  module_info[TYPE] = JS;

  modules[CONSTRAINTS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/constraints/constraints-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[COPY_TO_CLIPBOARD] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/copy-to-clipboard/copy-to-clipboard-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[CREATE_MODEL_BUTTON] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/user-profile/create-model-button/create-model-button-min.js";
  module_info[REQUIRES] = [GENERIC_BUTTON];
  module_info[TYPE] = JS;

  modules[D3_COMPONENTS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "d3-components/d3-components-min.js";
  module_info[REQUIRES] = [D3, BASE, ARRAY_EXTRAS, EVENT, EVENT_RESIZE];
  module_info[TYPE] = JS;

  modules[DATE_DISPLAY] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/date-display/date-display-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_BAR] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-bar/deployment-bar-min.js";
  module_info[REQUIRES] = [DEPLOYMENT_BAR_NOTIFICATION, GENERIC_BUTTON, PANEL_COMPONENT];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_BAR_NOTIFICATION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-bar/notification/notification-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_BUDGET] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-flow/budget/budget-min.js";
  module_info[REQUIRES] = [BUDGET_CHART, EXPANDING_ROW, GENERIC_BUTTON, GENERIC_INPUT, INSET_SELECT, LOADING_SPINNER];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_CHANGE_ITEM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-flow/change-item/change-item-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_CHANGES] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-flow/changes/changes-min.js";
  module_info[REQUIRES] = [DEPLOYMENT_CHANGE_ITEM, EXPANDING_ROW];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_CLOUD] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-flow/cloud/cloud-min.js";
  module_info[REQUIRES] = [LOADING_SPINNER, SVG_ICON];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_CREDENTIAL] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-flow/credential/credential-min.js";
  module_info[REQUIRES] = [DEPLOYMENT_CREDENTIAL_ADD, EXPANDING_ROW, INSET_SELECT, LOADING_SPINNER];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_CREDENTIAL_ADD] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-flow/credential/add/add-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, FILE_FIELD, GENERIC_INPUT, INSET_SELECT, SVG_ICON];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_FLOW] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-flow/deployment-flow-min.js";
  module_info[REQUIRES] = [DEPLOYMENT_BUDGET, DEPLOYMENT_CHANGES, DEPLOYMENT_CLOUD, DEPLOYMENT_CREDENTIAL, DEPLOYMENT_MACHINES, DEPLOYMENT_PANEL, DEPLOYMENT_SECTION, DEPLOYMENT_SERVICES, GENERIC_BUTTON, GENERIC_INPUT];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_MACHINES] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-flow/machines/machines-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_PANEL] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-flow/panel/panel-min.js";
  module_info[REQUIRES] = [GENERIC_BUTTON, PANEL_COMPONENT];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_SECTION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-flow/section/section-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, SVG_ICON];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_SERVICES] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-flow/services/services-min.js";
  module_info[REQUIRES] = [BUDGET_TABLE, DEPLOYMENT_CHANGE_ITEM];
  module_info[TYPE] = JS;

  modules[DEPLOYMENT_SIGNUP] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/deployment-flow/signup/signup-min.js";
  module_info[REQUIRES] = [DEPLOYMENT_PANEL, GENERIC_BUTTON, GENERIC_INPUT];
  module_info[TYPE] = JS;

  modules[EMPTY_USER_PROFILE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/user-profile/empty-user-profile-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENTITY_CONTENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-details/content/content-min.js";
  module_info[REQUIRES] = [ENTITY_CONTENT_CONFIG_OPTION, ENTITY_CONTENT_README, ENTITY_CONTENT_RELATIONS, ENTITY_CONTENT_REVISIONS, ENTITY_FILES, ENTITY_RESOURCES, EXPANDING_ROW, LOADING_SPINNER, SVG_ICON];
  module_info[TYPE] = JS;

  modules[ENTITY_CONTENT_CONFIG_OPTION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-details/content/config-option/config-option-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENTITY_CONTENT_DIAGRAM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-details/content/diagram/diagram-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENTITY_CONTENT_README] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-details/content/readme/readme-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENTITY_CONTENT_RELATIONS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-details/content/relations/relations-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENTITY_CONTENT_REVISIONS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-details/content/revisions/revisions-min.js";
  module_info[REQUIRES] = [DATE_DISPLAY];
  module_info[TYPE] = JS;

  modules[ENTITY_DETAILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-details/entity-details-min.js";
  module_info[REQUIRES] = [ENTITY_HEADER, ENTITY_CONTENT, ENTITY_CONTENT_DIAGRAM, JUJULIB_UTILS, LOADING_SPINNER];
  module_info[TYPE] = JS;

  modules[ENTITY_EXTENSION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/entity-extension-min.js";
  module_info[REQUIRES] = [JUJU_VIEW_UTILS];
  module_info[TYPE] = JS;

  modules[ENTITY_FILES] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-details/content/files/files-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENTITY_HEADER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-details/header/header-min.js";
  module_info[REQUIRES] = [COPY_TO_CLIPBOARD, GENERIC_BUTTON];
  module_info[TYPE] = JS;

  modules[ENTITY_RESOURCES] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/entity-details/content/resources/resources-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENV_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/env-switcher/list/list-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, PANEL_COMPONENT];
  module_info[TYPE] = JS;

  modules[ENV_SIZE_DISPLAY] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/env-size-display/env-size-display-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[ENV_SWITCHER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/env-switcher/env-switcher-min.js";
  module_info[REQUIRES] = [ENV_LIST, SVG_ICON];
  module_info[TYPE] = JS;

  modules[ENVIRONMENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/environment/environment-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ENVIRONMENT_CHANGE_SET] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/environment-change-set-min.js";
  module_info[REQUIRES] = [BASE, BASE_BUILD, JUJU_VIEW_UTILS];
  module_info[TYPE] = JS;

  modules[EVENT_TRACKER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "extensions/event-tracker-min.js";
  module_info[REQUIRES] = [BASE, EVENT];
  module_info[TYPE] = JS;

  modules[EXPANDING_PROGRESS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/expanding-progress/expanding-progress-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[EXPANDING_ROW] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/expanding-row/expanding-row-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[FILE_FIELD] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/file-field/file-field-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[GENERIC_BUTTON] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/generic-button/generic-button-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[GENERIC_INPUT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/generic-input/generic-input-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[GHOST_DEPLOYER_EXTENSION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/ghost-deployer-extension-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[HEADER_BREADCRUMB] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/header-breadcrumb/header-breadcrumb-min.js";
  module_info[REQUIRES] = [ENV_SWITCHER];
  module_info[TYPE] = JS;

  modules[HEADER_SEARCH] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/header-search/header-search-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[IMPORT_EXPORT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/import-export/import-export-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[INSET_SELECT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inset-select/inset-select-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[INSPECTOR_CHANGE_VERSION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/change-version/change-version-min.js";
  module_info[REQUIRES] = [INSPECTOR_CHANGE_VERSION_ITEM, LOADING_SPINNER];
  module_info[TYPE] = JS;

  modules[INSPECTOR_CHANGE_VERSION_ITEM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/change-version/item/item-min.js";
  module_info[REQUIRES] = [GENERIC_BUTTON];
  module_info[TYPE] = JS;

  modules[INSPECTOR_COMPONENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/inspector-min.js";
  module_info[REQUIRES] = [INSPECTOR_CHANGE_VERSION, INSPECTOR_EXPOSE, INSPECTOR_HEADER, INSPECTOR_CONFIG, INSPECTOR_PLAN, INSPECTOR_RELATE_TO, INSPECTOR_RELATE_TO_ENDPOINT, INSPECTOR_RELATIONS, INSPECTOR_RELATION_DETAILS, INSPECTOR_RESOURCES_LIST, SCALE_SERVICE, SERVICE_OVERVIEW, UNIT_DETAILS, UNIT_LIST];
  module_info[TYPE] = JS;

  modules[INSPECTOR_CONFIG] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/config/config-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, STRING_CONFIG, BOOLEAN_CONFIG];
  module_info[TYPE] = JS;

  modules[INSPECTOR_CONFIRM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/confirm/confirm-min.js";
  module_info[REQUIRES] = [BUTTON_ROW];
  module_info[TYPE] = JS;

  modules[INSPECTOR_EXPOSE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/expose/expose-min.js";
  module_info[REQUIRES] = [BOOLEAN_CONFIG, INSPECTOR_EXPOSE_UNIT];
  module_info[TYPE] = JS;

  modules[INSPECTOR_EXPOSE_UNIT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/expose/unit/unit-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[INSPECTOR_HEADER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/header/header-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[INSPECTOR_PLAN] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/plan/plan-min.js";
  module_info[REQUIRES] = [BUTTON_ROW];
  module_info[TYPE] = JS;

  modules[INSPECTOR_RELATE_TO] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/relate-to/relate-to-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[INSPECTOR_RELATE_TO_ENDPOINT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/relate-to/endpoint/endpoint-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, CHECK_LIST_ITEM];
  module_info[TYPE] = JS;

  modules[INSPECTOR_RELATION_DETAILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/relations/details/details-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[INSPECTOR_RELATIONS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/relations/relations-min.js";
  module_info[REQUIRES] = [CHECK_LIST_ITEM, BUTTON_ROW, OVERVIEW_ACTION];
  module_info[TYPE] = JS;

  modules[INSPECTOR_RESOURCES_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/resources/list/list-min.js";
  module_info[REQUIRES] = [LOADING_SPINNER];
  module_info[TYPE] = JS;

  modules[ISV_PROFILE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/isv-profile/isv-profile-min.js";
  module_info[REQUIRES] = [PANEL_COMPONENT, PLANS_USAGE];
  module_info[TYPE] = JS;

  modules[JS_YAML] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "assets/javascripts/js-yaml.min-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[JUJU_APP_STATE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/state-min.js";
  module_info[REQUIRES] = [MODEL, QUERYSTRING];
  module_info[TYPE] = JS;

  modules[JUJU_BUNDLE_MODELS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/bundle-min.js";
  module_info[REQUIRES] = [JUJU_VIEW_UTILS, MODEL, MODEL_LIST, ENTITY_EXTENSION];
  module_info[TYPE] = JS;

  modules[JUJU_CHARM_MODELS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/charm-min.js";
  module_info[REQUIRES] = [MODEL, MODEL_LIST, ENTITY_EXTENSION];
  module_info[TYPE] = JS;

  modules[JUJU_CONTROLLER_API] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/controller-api-min.js";
  module_info[REQUIRES] = [BASE, JUJU_ENV_BASE];
  module_info[TYPE] = JS;

  modules[JUJU_DELTA_HANDLERS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/handlers-min.js";
  module_info[REQUIRES] = [BASE, ARRAY_EXTRAS];
  module_info[TYPE] = JS;

  modules[JUJU_ENDPOINTS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/endpoints-min.js";
  module_info[REQUIRES] = [RELATION_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_ENDPOINTS_CONTROLLER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/endpoints-min.js";
  module_info[REQUIRES] = [JUJU_MODELS];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_API] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/api-min.js";
  module_info[REQUIRES] = [BASE, JUJU_ENV_BASE, JUJU_VIEW_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_BAKERY] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/bakery-min.js";
  module_info[REQUIRES] = [BASE, COOKIE, NODE, JUJU_ENV_BASE, JUJU_ENV_WEB_HANDLER, MACAROON];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_BASE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/base-min.js";
  module_info[REQUIRES] = [BASE, JSON_PARSE, JSON_STRINGIFY];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_FAKEBACKEND] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/fakebackend-min.js";
  module_info[REQUIRES] = [BASE, JS_YAML, JUJU_MODELS, PROMISE, RELATION_UTILS, ZIP_UTILS, JUJULIB_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_LEGACY_API] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/legacy-api-min.js";
  module_info[REQUIRES] = [BASE, JSON_PARSE, JSON_STRINGIFY, JUJU_ENV_BASE, JUJU_VIEW_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_SANDBOX] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/sandbox-min.js";
  module_info[REQUIRES] = [BASE, JS_YAML, JSON_PARSE, JUJU_ENV_API, TIMERS];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_WEB_HANDLER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/web-handler-min.js";
  module_info[REQUIRES] = [BASE];
  module_info[TYPE] = JS;

  modules[JUJU_ENV_WEB_SANDBOX] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "store/env/web-sandbox-min.js";
  module_info[REQUIRES] = [BASE];
  module_info[TYPE] = JS;

  modules[JUJU_GUI] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "app-min.js";
  module_info[REQUIRES] = [ACL, CHANGES_UTILS, JUJU_APP_STATE, JUJU_CHARM_MODELS, JUJU_BUNDLE_MODELS, JUJU_CONTROLLER_API, JUJU_ENDPOINTS_CONTROLLER, JUJU_ENV_BAKERY, JUJU_ENV_BASE, JUJU_ENV_FAKEBACKEND, JUJU_ENV_API, JUJU_ENV_LEGACY_API, JUJU_ENV_SANDBOX, JUJU_ENV_WEB_HANDLER, JUJU_ENV_WEB_SANDBOX, JUJU_MODELS, JUJULIB_UTILS, NET_UTILS, NS_ROUTING_APP_EXTENSION, ACCOUNT, ADDED_SERVICES_LIST, CHARMBROWSER_COMPONENT, DEPLOYMENT_BAR, DEPLOYMENT_FLOW, DEPLOYMENT_SIGNUP, ENV_SIZE_DISPLAY, HEADER_BREADCRUMB, IMPORT_EXPORT, EXPANDING_PROGRESS, HEADER_SEARCH, INSPECTOR_COMPONENT, ISV_PROFILE, LOCAL_INSPECTOR, MACHINE_VIEW, LOGIN_COMPONENT, LOGOUT_COMPONENT, NOTIFICATION_LIST, PANEL_COMPONENT, SHORTCUTS, USER_PROFILE, ZOOM, D3_COMPONENTS, JUJU_VIEW_UTILS, JUJU_TOPOLOGY, JUJU_VIEW_ENVIRONMENT, JUJU_LANDSCAPE, AUTODEPLOY_EXTENSION, IO, JSON_PARSE, APP_BASE, APP_TRANSITIONS, BASE, BUNDLE_IMPORTER, BUNDLE_IMPORT_NOTIFICATIONS, EVENT_TRACKER, NODE, MODEL, APP_COOKIES_EXTENSION, APP_RENDERER_EXTENSION, COOKIE, QUERYSTRING, EVENT_KEY, EVENT_TOUCH, MODEL_CONTROLLER, FILESAVER, GHOST_DEPLOYER_EXTENSION, LOCAL_CHARM_IMPORT_HELPERS, ENVIRONMENT_CHANGE_SET, RELATION_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_LANDSCAPE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/landscape-min.js";
  module_info[REQUIRES] = [JUJU_MODELS, JUJU_VIEW_UTILS, BASE];
  module_info[TYPE] = JS;

  modules[JUJU_LEGACY_DELTA_HANDLERS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/legacy-handlers-min.js";
  module_info[REQUIRES] = [BASE, ARRAY_EXTRAS, JUJU_DELTA_HANDLERS];
  module_info[TYPE] = JS;

  modules[JUJU_MODELS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/models-min.js";
  module_info[REQUIRES] = [MODEL, MODEL_LIST, LAZY_MODEL_LIST, DATASOURCE_IO, DATASOURCE_JSONSCHEMA, IO_BASE, JSON_PARSE, JUJU_DELTA_HANDLERS, JUJU_LEGACY_DELTA_HANDLERS, JUJU_ENDPOINTS, JUJU_VIEW_UTILS, JUJU_CHARM_MODELS, JUJU_ENV_API, PROMISE, RELATION_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_TOPOLOGY] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/topology/topology-min.js";
  module_info[REQUIRES] = [D3, D3_COMPONENTS, NODE, EVENT, JUJU_TOPOLOGY_SERVICE, JUJU_TOPOLOGY_RELATION, JUJU_TOPOLOGY_PANZOOM, JUJU_TOPOLOGY_VIEWPORT, JUJU_TOPOLOGY_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_TOPOLOGY_PANZOOM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/topology/panzoom-min.js";
  module_info[REQUIRES] = [NODE, EVENT, D3, D3_COMPONENTS];
  module_info[TYPE] = JS;

  modules[JUJU_TOPOLOGY_RELATION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/topology/relation-min.js";
  module_info[REQUIRES] = [AMBIGUOUS_RELATION_MENU, D3, D3_COMPONENTS, NODE, EVENT, JUJU_MODELS, JUJU_TOPOLOGY_UTILS, RELATION_MENU, RELATION_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_TOPOLOGY_SERVICE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/topology/service-min.js";
  module_info[REQUIRES] = [D3, D3_COMPONENTS, JUJU_MODELS, RELATION_UTILS, ZIP_UTILS];
  module_info[TYPE] = JS;

  modules[JUJU_TOPOLOGY_UTILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/topology/utils-min.js";
  module_info[REQUIRES] = [D3];
  module_info[TYPE] = JS;

  modules[JUJU_TOPOLOGY_VIEWPORT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/topology/viewport-min.js";
  module_info[REQUIRES] = [D3_COMPONENTS, NODE, EVENT];
  module_info[TYPE] = JS;

  modules[JUJU_VIEW_ENVIRONMENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/environment-min.js";
  module_info[REQUIRES] = [BASE_BUILD, EVENT_TRACKER, ENVIRONMENT, JUJU_TOPOLOGY, NODE, VIEW];
  module_info[TYPE] = JS;

  modules[JUJU_VIEW_UTILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "views/utils-min.js";
  module_info[REQUIRES] = [BASE_BUILD, CONFIRMATION_POPUP, ESCAPE, NODE, VIEW, PANEL, JSON_STRINGIFY, DATATYPE_DATE_FORMAT];
  module_info[TYPE] = JS;

  modules[JUJULIB_UTILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/jujulib-conversion-utils-min.js";
  module_info[REQUIRES] = [JUJU_CHARM_MODELS, JUJU_BUNDLE_MODELS];
  module_info[TYPE] = JS;

  modules[LOADING_SPINNER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/spinner/spinner-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[LOCAL_CHARM_IMPORT_HELPERS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/local-inspector/local-charm-import-helpers-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[LOCAL_INSPECTOR] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/local-inspector/local-inspector-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, INSPECTOR_HEADER];
  module_info[TYPE] = JS;

  modules[LOGIN_COMPONENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/login/login-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, SVG_ICON];
  module_info[TYPE] = JS;

  modules[LOGOUT_COMPONENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/logout/logout-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[MACAROON] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "assets/javascripts/yui-macaroon-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/machine-view-min.js";
  module_info[REQUIRES] = [MACHINE_VIEW_ADD_MACHINE, MACHINE_VIEW_COLUMN, MACHINE_VIEW_HEADER, MACHINE_VIEW_MACHINE, MACHINE_VIEW_SCALE_UP, MACHINE_VIEW_UNPLACED_UNIT, SVG_ICON];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW_ADD_MACHINE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/add-machine/add-machine-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, CONSTRAINTS];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW_COLUMN] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/column/column-min.js";
  module_info[REQUIRES] = [MACHINE_VIEW_HEADER, SVG_ICON];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW_HEADER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/header/header-min.js";
  module_info[REQUIRES] = [MORE_MENU, GENERIC_BUTTON];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW_MACHINE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/machine/machine-min.js";
  module_info[REQUIRES] = [MACHINE_VIEW_MACHINE_UNIT, MORE_MENU];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW_MACHINE_UNIT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/machine-unit/machine-unit-min.js";
  module_info[REQUIRES] = [MACHINE_VIEW_ADD_MACHINE, MORE_MENU];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW_SCALE_UP] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/scale-up/scale-up-min.js";
  module_info[REQUIRES] = [BUTTON_ROW];
  module_info[TYPE] = JS;

  modules[MACHINE_VIEW_UNPLACED_UNIT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/machine-view/unplaced-unit/unplaced-unit-min.js";
  module_info[REQUIRES] = [MACHINE_VIEW_ADD_MACHINE, MORE_MENU];
  module_info[TYPE] = JS;

  modules[MODEL_CONTROLLER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "models/model-controller-min.js";
  module_info[REQUIRES] = [BASE_BUILD, BASE, PROMISE];
  module_info[TYPE] = JS;

  modules[MORE_MENU] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/more-menu/more-menu-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[NET_UTILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/net-utils-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[NOTIFICATION_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/notification-list/notification-list-min.js";
  module_info[REQUIRES] = [NOTIFICATION_LIST_ITEM];
  module_info[TYPE] = JS;

  modules[NOTIFICATION_LIST_ITEM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/notification-list/item/item-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[NS_ROUTING_APP_EXTENSION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "extensions/ns-routing-app-extension-min.js";
  module_info[REQUIRES] = [QUERYSTRING_PARSE, OOP, ROUTER];
  module_info[TYPE] = JS;

  modules[OVERVIEW_ACTION] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/overview-action/overview-action-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[PANEL_COMPONENT] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/panel/panel-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[PLANS_USAGE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/isv-profile/plans-usage/plans-usage-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[PRETTIFY] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "assets/javascripts/prettify-min.js";
  module_info[REQUIRES] = [BASE];
  module_info[TYPE] = JS;

  modules[RELATION_MENU] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/relation-menu/relation-menu-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[RELATION_UTILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/relation-utils-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[SCALE_SERVICE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/scale-service/scale-service-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, CONSTRAINTS];
  module_info[TYPE] = JS;

  modules[SEARCH_RESULTS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/search-results/search-results-min.js";
  module_info[REQUIRES] = [LOADING_SPINNER, SEARCH_RESULTS_ITEM, SEARCH_RESULTS_SELECT_FILTER, SEARCH_RESULTS_TYPE_FILTER];
  module_info[TYPE] = JS;

  modules[SEARCH_RESULTS_ITEM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/search-results/item/item-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[SEARCH_RESULTS_SELECT_FILTER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/search-results/select-filter/select-filter-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[SEARCH_RESULTS_TYPE_FILTER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/search-results/type-filter/type-filter-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[SECTION_LOAD_WATCHER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/section-load-watcher/section-load-watcher-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[SERVICE_OVERVIEW] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/service-overview/service-overview-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, INSPECTOR_CONFIRM, OVERVIEW_ACTION];
  module_info[TYPE] = JS;

  modules[SHORTCUTS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/shortcuts/shortcuts-min.js";
  module_info[REQUIRES] = [SVG_ICON];
  module_info[TYPE] = JS;

  modules[STORE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/store/store-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[STRING_CONFIG] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/string-config/string-config-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[SVG_ICON] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/svg-icon/svg-icon-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[UNIT_DETAILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/unit-details/unit-details-min.js";
  module_info[REQUIRES] = [BUTTON_ROW, INSPECTOR_CONFIRM];
  module_info[TYPE] = JS;

  modules[UNIT_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/inspector/unit-list/unit-list-min.js";
  module_info[REQUIRES] = [OVERVIEW_ACTION, BUTTON_ROW, CHECK_LIST_ITEM];
  module_info[TYPE] = JS;

  modules[USER_PROFILE] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/user-profile/user-profile-min.js";
  module_info[REQUIRES] = [EMPTY_USER_PROFILE, GENERIC_INPUT, LOADING_SPINNER, PANEL_COMPONENT, SECTION_LOAD_WATCHER, USER_PROFILE_AGREEMENT_LIST, USER_PROFILE_BUDGET_LIST, USER_PROFILE_ENTITY, USER_PROFILE_ENTITY_LIST, USER_PROFILE_MODEL_LIST, USER_PROFILE_HEADER];
  module_info[TYPE] = JS;

  modules[USER_PROFILE_AGREEMENT_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/user-profile/agreement-list/agreement-list-min.js";
  module_info[REQUIRES] = [DATE_DISPLAY, LOADING_SPINNER];
  module_info[TYPE] = JS;

  modules[USER_PROFILE_BUDGET_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/user-profile/budget-list/budget-list-min.js";
  module_info[REQUIRES] = [LOADING_SPINNER];
  module_info[TYPE] = JS;

  modules[USER_PROFILE_ENTITY] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/user-profile/entity/entity-min.js";
  module_info[REQUIRES] = [EXPANDING_ROW, GENERIC_BUTTON];
  module_info[TYPE] = JS;

  modules[USER_PROFILE_ENTITY_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/user-profile/entity-list/entity-list-min.js";
  module_info[REQUIRES] = [LOADING_SPINNER, USER_PROFILE_ENTITY];
  module_info[TYPE] = JS;

  modules[USER_PROFILE_HEADER] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/user-profile/header/header-min.js";
  module_info[REQUIRES] = [GENERIC_BUTTON];
  module_info[TYPE] = JS;

  modules[USER_PROFILE_MODEL_LIST] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/user-profile/model-list/model-list-min.js";
  module_info[REQUIRES] = [CONFIRMATION_POPUP, CREATE_MODEL_BUTTON, DATE_DISPLAY, GENERIC_BUTTON, GENERIC_INPUT, LOADING_SPINNER, USER_PROFILE_ENTITY];
  module_info[TYPE] = JS;

  modules[YUI_PATCHES] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "extensions/yui-patches-min.js";
  module_info[REQUIRES] = [LAZY_MODEL_LIST];
  module_info[TYPE] = JS;

  modules[ZIP] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "assets/javascripts/zip-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  modules[ZIP_UTILS] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "utils/zip-utils-min.js";
  module_info[REQUIRES] = [BASE, ZIP];
  module_info[TYPE] = JS;

  modules[ZOOM] = module_info = {};
  module_info[EXT] = FALSE;
  module_info[PATH] = "components/zoom/zoom-min.js";
  module_info[REQUIRES] = [];
  module_info[TYPE] = JS;

  return modules;
})();